public class Thermometer implements Observer {
    private int temperature;
    private Weather weather;

    public Thermometer(Weather weather) {
        this.weather = weather;
        this.handleEvent();
    }

    public int getTemperature() {
        return temperature;
    }

    public void setWeather(Weather weather) {
        this.weather = weather;
        this.handleEvent();
    }

    public void handleEvent() {
        if (weather != null) {
            temperature = weather.getTemperature();
            System.out.println("температура : " +  temperature);
        }
    }
}
