import java.util.Set;
import java.util.HashSet;

public class Weather implements Observable {
    private Set<Observer> observers = new HashSet();
    private int temperature;

    public Weather() {
        this.temperature = 0;
    }

    public void addObserver(Observer o) {
        observers.add(o);
    }

    public void removeObserver(Observer o) {
        observers.remove(o);
    }

    public void notyfyObserver() {
        for (Observer o : observers) {
            o.handleEvent();
        }
    }

    public int getTemperature() {
        return temperature;
    }

    public void setTemperature(int temperature) {
        this.temperature = temperature;
        notyfyObserver();
    }


}
